#
# "%W% %G%"
# 
# Makefile containing "builtin rules" used in clearmake

INSTALL          = install
ARFLAGS          = 
AR               = lib
LOADLIBES        = 
LDFLAGS          =
LD               = link
LFLAGS           = 
LEX              = lex
YFLAGS           = 
YACC             = yacc
F2CFLAGS         = 
MKF2C            = mkf2c
EFLAGS           = 
RFLAGS           = 
FFLAGS           = -O
FC               = f77
PL1FLAGS         = -O
PL1              = pl1
PFLAGS           = -O
PC               = pc
ASFLAGS          = 
AS               = as
C++FLAGS         = -O
C++C             = cl
C++              = cl
CFLAGS           = 
CC               = cl

.Y.obj:
	$(YACC) $(YFLAGS) $<
	$(C++C) $(YACCMKDEPFLAGS) $(C++FLAGS) -c y.tab.c
	-rm -f y.tab.c
	mv -f y.tab.obj $@

.Y.C:
	$(YACC) $(YFLAGS) $<
	mv -f y.tab.c $@

.L.obj:
	$(LEX) $(LFLAGS) $<
	$(C++C) $(LEXMKDEPFLAGS) $(C++FLAGS) -c lex.yy.c
	-rm -f lex.yy.c; mv -f lex.yy.obj $@

.L.C:
	$(LEX) $(LFLAGS) $<
	mv -f lex.yy.c $@

.c++.obj:
	$(C++C) $(C++FLAGS) -c $<

.cc.obj:
	$(C++C) $(C++FLAGS) -c $<

.cpp.obj:
	$(C++C) $(C++FLAGS) -c $<

.cxx.obj:
	$(C++C) $(C++FLAGS) -c $<

.C.obj:
	$(C++C) $(C++FLAGS) -c $<

.c++.lib:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) $(ARFLAGS) $@ $*.obj
	-rm -f $*.obj

.cc.lib:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) rv $@ $*.obj
	rm -f $*.obj

.cpp.lib:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) rv $@ $*.obj
	rm -f $*.obj

.cxx.lib:
	$(CXX) -c $(CXXFLAGS) $<
	$(AR) rv $@ $*.obj
	rm -f $*.obj

.C.lib:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) $(ARFLAGS) $@ $*.obj
	-rm -f $*.obj

.y.obj:
	$(YACC) $(YFLAGS) $<
	$(CC) $(YACCMKDEPFLAGS) $(CFLAGS) -c y.tab.c
	-rm -f y.tab.c
	mv -f y.tab.obj $@

.y.c:
	$(YACC) $(YFLAGS) $<
	mv -f y.tab.c $@

.s.obj:
	$(AS) $(ASFLAGS) -o $@ $<

.s.lib:
	$(AS) $(ASFLAGS) -o $*.obj $*.s
	$(AR) $(ARFLAGS) $@ $*.obj
	-rm -f $*.obj

.l.obj:
	$(LEX) $(LFLAGS) $<
	$(CC) $(LEXMKDEPFLAGS) $(CFLAGS) -c lex.yy.c
	-rm -f lex.yy.c; mv -f lex.yy.obj $@

.l.c:
	$(LEX) $(LFLAGS) $<
	mv -f lex.yy.c $@

.f.u:
	$(F77) $(FFLAGS) -j $*.f

.f.obj:
	$(F77) $(FFLAGS) -c $*.f

.f.lib:
	$(F77) $(FFLAGS) -c $*.f
	$(AR) $(ARFLAGS) $@ $*.obj
	-rm -f $*.obj

.c.obj:
	$(CC) $(CFLAGS) -c $<

.c.lib:
	$(CC) -c $(CFLAGS) $<
	$(AR) $(ARFLAGS) $@ $*.obj
	-rm -f $*.obj

.SUFFIXES: .obj .c .cpp .c++ .cc .cxx .C .y .l .s .f .Y .L .lib .u
